package com.supwisdom.institute.backend.common.core.transmit.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import com.supwisdom.institute.backend.common.core.transmit.feign.SimpleUserTransmitRequestInterceptor;
import com.supwisdom.institute.backend.common.core.transmit.filter.SimpleUserTransmitFilter;

import lombok.extern.slf4j.Slf4j;

@Slf4j
@Configuration
public class SimpleUserTransmitAutoConfiguration {
  
  @Bean
  public SimpleUserTransmitRequestInterceptor simpleUserTransmitRequestInterceptor() {
    log.debug("-----SimpleUserTransmitRequestInterceptor");
    return new SimpleUserTransmitRequestInterceptor();
  }

  @Bean
  public SimpleUserTransmitFilter simpleUserTransmitFilter() {
    log.debug("-----SimpleUserTransmitFilter");
    return new SimpleUserTransmitFilter();
  }
  
}
